@if (isCard) {
  <div [ngClass]="jds.card">
    <div
      [ngClass]="[
        jds.cardBody,
        jds.textAlign('center'),
        jds.py(50),
        jds.px(15)
      ]"
    >
      @if (icon() === 'database') {
        <ng-container *ngTemplateOutlet="tempDatabase" />
      } @else if (icon() === 'building') {
        <ng-container *ngTemplateOutlet="tempBuilding" />
      }

      <ng-container *ngTemplateOutlet="tempSlot" />
    </div>
  </div>
} @else {
  <div [ngClass]="[jds.textAlign('center'), jds.py(50), jds.px(15)]">
    @if (icon() === 'database') {
      <ng-container *ngTemplateOutlet="tempDatabase" />
    } @else if (icon() === 'building') {
      <ng-container *ngTemplateOutlet="tempBuilding" />
    }

    <ng-container *ngTemplateOutlet="tempSlot" />
  </div>
}

<ng-template #tempSlot>
  <ng-content></ng-content>
</ng-template>

<ng-template #tempDatabase>
  <jds-bi-icon
    [ngClass]="[jds.text('gray300'), jds.my(20)]"
    [size]="80"
    name="database"
  />
</ng-template>

<ng-template #tempBuilding>
  <jds-bi-icon
    [ngClass]="[jds.text('gray300'), jds.my(20)]"
    [size]="80"
    name="building"
  />
</ng-template>
